interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Content-type: [application/json]
      PRIVATE-TOKEN: [DKkdC5JmKWWZgXZGzg83]
      User-Agent: [python-requests/2.21.0]
    method: GET
    uri: http://localhost/api/v4/projects/test%2Fproject_default_branch
  response:
    body: {string: !!python/unicode '{"id":15,"description":"","name":"project_default_branch","name_with_namespace":"test
        / project_default_branch","path":"project_default_branch","path_with_namespace":"test/project_default_branch","created_at":"2019-04-25T12:40:35.379Z","default_branch":"exists","tag_list":[],"ssh_url_to_repo":"git@gitlab.example.com:test/project_default_branch.git","http_url_to_repo":"http://gitlab.example.com/test/project_default_branch.git","web_url":"http://gitlab.example.com/test/project_default_branch","readme_url":"http://gitlab.example.com/test/project_default_branch/blob/exists/README.md","avatar_url":null,"star_count":0,"forks_count":0,"last_activity_at":"2019-04-25T12:40:35.379Z","namespace":{"id":3,"name":"test","path":"test","kind":"group","full_path":"test","parent_id":null},"_links":{"self":"http://gitlab.example.com/api/v4/projects/15","issues":"http://gitlab.example.com/api/v4/projects/15/issues","merge_requests":"http://gitlab.example.com/api/v4/projects/15/merge_requests","repo_branches":"http://gitlab.example.com/api/v4/projects/15/repository/branches","labels":"http://gitlab.example.com/api/v4/projects/15/labels","events":"http://gitlab.example.com/api/v4/projects/15/events","members":"http://gitlab.example.com/api/v4/projects/15/members"},"archived":false,"visibility":"private","resolve_outdated_diff_discussions":false,"container_registry_enabled":true,"issues_enabled":true,"merge_requests_enabled":true,"wiki_enabled":true,"jobs_enabled":true,"snippets_enabled":true,"shared_runners_enabled":true,"lfs_enabled":true,"creator_id":1,"import_status":"none","import_error":null,"open_issues_count":0,"runners_token":"SSudBjKNzjgZ6E8JS6-x","public_jobs":true,"ci_config_path":null,"shared_with_groups":[],"only_allow_merge_if_pipeline_succeeds":false,"request_access_enabled":false,"only_allow_merge_if_all_discussions_are_resolved":false,"printing_merge_request_link_enabled":true,"merge_method":"merge","permissions":{"project_access":null,"group_access":{"access_level":50,"notification_level":3}}}'}
    headers:
      cache-control: ['max-age=0, private, must-revalidate']
      connection: [keep-alive]
      content-length: ['2024']
      content-type: [application/json]
      date: ['Thu, 25 Apr 2019 12:41:37 GMT']
      etag: [W/"fa6ea8f90ff7b2218228caaf5853f2dc"]
      server: [nginx]
      strict-transport-security: [max-age=31536000]
      vary: [Origin]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-request-id: [haXEr3QfBV2]
      x-runtime: ['0.070257']
    status: {code: 200, message: OK}
- request:
    body: !!python/unicode '{"default_branch": "not_exists"}'
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Content-Length: ['32']
      Content-type: [application/json]
      PRIVATE-TOKEN: [DKkdC5JmKWWZgXZGzg83]
      User-Agent: [python-requests/2.21.0]
    method: PUT
    uri: http://localhost/api/v4/projects/15
  response:
    body: {string: !!python/unicode '{"message":{"base":["Could not change HEAD: branch
        ''not_exists'' does not exist"]}}'}
    headers:
      cache-control: [no-cache]
      connection: [keep-alive]
      content-length: ['82']
      content-type: [application/json]
      date: ['Thu, 25 Apr 2019 12:41:37 GMT']
      server: [nginx]
      vary: [Origin]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-request-id: [pzFULlJ3Bc7]
      x-runtime: ['0.042992']
    status: {code: 400, message: Bad Request}
version: 1
